Sunday, July 10, 2005

Want This, I Do

I want Mac OS 10.4 just so I can get the new widget to talk like Yoda!

And as links seem to be acting up, here's the address:

1 comment:

hipchecker said...

How about a little credit where you got that tip from...